import { HttpClient as BaseClient } from '../../api/HttpClient'
import MocksSchema, { MockConfigurationsRequest } from '../../api/Main/Schemas/MocksSchema'
import { SchemaInterface } from '@/api/SchemaInterface'

export class HttpClient extends BaseClient {
  mockConfigurations (data: MockConfigurationsRequest): any {
    return this.send(MocksSchema as SchemaInterface, data)
  }
}

export default new HttpClient('http://laen.sipachev.ru')
